from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from app.db.session import get_db

router = APIRouter(
    prefix="/health",
    tags=["health"],
)


@router.get("/")
def health_check(db: Session = Depends(get_db)):
    try:
        # Check if database is accessible
        db.execute("SELECT 1")
        db_status = "ok"
    except Exception as e:
        db_status = f"error: {str(e)}"
    
    return {
        "status": "ok",
        "database": db_status
    }