from fastapi import FastAPI
from app.api.endpoints import todos, health
from app.db.session import engine
from app.db.base import Base

# Create database tables
Base.metadata.create_all(bind=engine)

app = FastAPI(title="Todo Application", description="A simple todo application")

# Include routers
app.include_router(health.router)
app.include_router(todos.router, prefix="/api")